Skip to main content
GET
/
dnszone
/
{zoneId}
/
records
/
scan
Get the latest DNS record scan result for a DNS Zone
curl --request GET \
  --url https://api.bunny.net/dnszone/{zoneId}/records/scan \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/dnszone/{zoneId}/records/scan"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/dnszone/{zoneId}/records/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "JobId": "<string>",
  "ZoneId": 123,
  "Domain": "<string>",
  "AccountId": "<string>",
  "CreatedAt": "2023-11-07T05:31:56Z",
  "CompletedAt": "2023-11-07T05:31:56Z",
  "Records": [
    {
      "Name": "<string>",
      "Ttl": 123,
      "Value": "<string>",
      "Priority": 123,
      "Weight": 123,
      "Port": 123,
      "IsProxied": true
    }
  ],
  "Error": "<string>"
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

zoneId
integer<int64>
required

The DNS Zone ID

Response

Latest DNS record scan job details

JobId
string<guid>
ZoneId
integer<int64> | null
Domain
string | null
AccountId
string | null
Status
enum<integer>

0 = Pending 1 = InProgress 2 = Completed 3 = Failed

Available options:
0,
1,
2,
3
CreatedAt
string<date-time>
CompletedAt
string<date-time> | null
Records
object[] | null
Error
string | null
Last modified on July 9, 2026